/**
 * @file The integration with Webform Paystack.
 */

(function ($, Drupal, drupalSettings) {
  "use strict";

  Drupal.behaviors.payWithPaystack = {
    attach: function (context, settings) {
      // Function to be run before form submission
      var formId = drupalSettings.form_id;

      var preFormSubmit = function (mail, amount, e) {
        var handler = PaystackPop.setup({
          key: drupalSettings.paystack_key,
          email: mail,
          amount: amount * 100,
          currency: "NGN",
          subaccount: drupalSettings.subaccount_id,
          callback: function (response) {
            if (response.status == "success") {
              // alert(2);
              $.when().done(function () {
                // alert(1);
                console.log(formE);
                formE.off("submit")[0].submit();
              });
            }
          },
          onClose: function () {
            e.preventDefault();
          },
        });
        handler.openIframe();
      };

      var formE = $("#" + formId);

      formE.on("submit", function (e) {
        e.preventDefault();

        var mail = document.getElementById("edit-email").value;
        var amount = document.getElementById(drupalSettings.edit_amount).value;

        if (mail === "") {
          e.preventDefault();
          alert("Email field is compulsory");
        } else if (amount === "") {
          e.preventDefault();
          alert("Amount field is compulsory");
        } else {
          preFormSubmit(mail, amount, e);
        }
      });
    },
  };
})(jQuery, Drupal, drupalSettings);
