<?php

namespace Drupal\webform_paystack_field\Plugin\WebformElement;

use Drupal\Core\Form\FormStateInterface;
use Drupal\webform\Plugin\WebformElement\TextField;

/**
 * Provides a static webform element.
 *
 * @WebformElement(
 *   id = "webform_webform_paystack_field",
 *   label = @Translation("Webform Paystack Field"),
 *   description = @Translation("Webform Paystack Field"),
 *   category = @Translation("Webform Paystack"),
 * )
 */
class WebformPaystackFieldWebformElement extends TextField {

  /**
   * {@inheritdoc}
   */
  protected function defineDefaultProperties() {
    return [
      'webform_paystack_field_subaccount_id' => '',
      'webform_paystack_field_first_name' => '',
      'webform_paystack_field_last_name' => '',
      'webform_paystack_field_email' => '',
      'webform_paystack_field_currency' => '',
    ] + parent::defineDefaultProperties();
  }

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $form_state) {
    $form = parent::form($form, $form_state);
    $form['webform_paystack_field_setting'] = [
      '#type' => 'fieldset',
      '#title' => $this->t('Paystack Setting'),
    ];
    $form['webform_paystack_field_setting']['webform_paystack_field_first_name'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Machine name of First Name'),
      '#description' => $this->t('Machine name of First Name'),
    ];
    $form['webform_paystack_field_setting']['webform_paystack_field_last_name'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Machine name of Last Name'),
      '#description' => $this->t('Machine name of Last Name'),
    ];
    $form['webform_paystack_field_setting']['webform_paystack_field_email'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Machine name of Email'),
      '#description' => $this->t('Machine name of Email'),
    ];
    $form['webform_paystack_field_setting']['webform_paystack_field_currency'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Machine name of Currency'),
      '#description' => $this->t('Machine name of Currency(Option field with keys naira & usd)'),
    ];
    $form['webform_paystack_field_setting']['webform_paystack_field_subaccount_id'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Subaccount Id'),
      '#description' => $this->t('Subaccount Id.'),
    ];
    return $form;
  }

}
