<?php

/**
 * @file
 * Views integration.
 */

/**
 * Implements hook_views_data().
 */
function webform_paystack_field_views_data() {

  $data['webform_paystack_data']['table']['group'] = t('Webform Paystack Field');
  $data['webform_paystack_data']['table']['base'] = [
    'field' => 'reference',
    'title' => t('Webform Paystack Field'),
    'help' => t('Webform Paystack Field Data contains data related to paystack transaction related to webforms.'),
    'weight' => -10,
  ];
  $data['webform_paystack_data']['table']['join'] = [
    'webform_submission' => [
      'left_field' => 'sid',
      'field' => 'webform_id',
    ],
    'node_field_data' => [
      'left_field' => 'nid',
      'field' => 'nid',
    ],
  ];
  $data['webform_paystack_data']['reference'] = [
    'title' => t('Paystack reference'),
    'help' => t('Paystack reference'),
    'field' => [
      'id' => 'standard',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'string',
    ],
    'argument' => [
      'id' => 'string',
    ],
  ];
  $data['webform_paystack_data']['trxref'] = [
    'title' => t('Paystack transation reference'),
    'help' => t('Paystack transation reference'),
    'field' => [
      'id' => 'standard',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'string',
    ],
    'argument' => [
      'id' => 'string',
    ],
  ];
  $data['webform_paystack_data']['email'] = [
    'title' => t('Email'),
    'help' => t('Email'),
    'field' => [
      'id' => 'standard',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'string',
    ],
    'argument' => [
      'id' => 'string',
    ],
  ];
  $data['webform_paystack_data']['first_name'] = [
    'title' => t('First Name'),
    'help' => t('First Name'),
    'field' => [
      'id' => 'standard',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'string',
    ],
    'argument' => [
      'id' => 'string',
    ],
  ];
  $data['webform_paystack_data']['last_name'] = [
    'title' => t('Last Name'),
    'help' => t('Last Name'),
    'field' => [
      'id' => 'standard',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'string',
    ],
    'argument' => [
      'id' => 'string',
    ],
  ];
  $data['webform_paystack_data']['amount'] = [
    'title' => t('Amount'),
    'help' => t('Amount'),
    'field' => [
      'id' => 'numeric',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'numeric',
    ],
    'argument' => [
      'id' => 'numeric',
    ],
  ];
  $data['webform_paystack_data']['webform_id'] = [
    'title' => t('Webform id'),
    'help' => t('Webform Submission'),
    'relationship' => [
      'base' => 'webform_submission',
      'base field' => 'sid',
      'id' => 'standard',
      'label' => t('Webform Submission'),
    ],
  ];
  $data['webform_paystack_data']['status'] = [
    'title' => t('Transaction status'),
    'help' => t('Transaction status'),
    'field' => [
      'id' => 'numeric',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'numeric',
    ],
    'argument' => [
      'id' => 'numeric',
    ],
  ];
  $data['webform_paystack_data']['private_key'] = [
    'title' => t('Paystack Private key'),
    'help' => t('Paystack Private key'),
    'field' => [
      'id' => 'standard',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'string',
    ],
    'argument' => [
      'id' => 'string',
    ],
  ];

  return $data;
}
